<script>
  import "../app.postcss"
  import "prismjs/themes/prism.css"

  import "prismjs"

  import "iconify-icon"
  import threeBars from "@iconify-icons/codicon/three-bars"
</script>

<div class="navbar mb-2 bg-neutral text-neutral-content">
  <div class="navbar-start">
    <div class="dropdown">
      <button tabindex="0" class="btn-ghost btn xl:hidden">
        <iconify-icon class="h-5 w-5" icon={threeBars} />
      </button>
      <ul
        class="dropdown-content menu rounded-box menu-compact mt-3 w-52 bg-neutral p-2 text-neutral-content shadow"
      >
        <li><a class="inline" href="/communes/autocomplete">Communes</a></li>
        <li>
          <a class="inline" href="/dgcl/communes/autocomplete"
            >Communes (<abbr
              title="Direction générale des collectivités locales">DGCL</abbr
            >)</a
          >
        </li>
        <li>
          <a class="inline" href="/circonscriptions_legislatives/autocomplete"
            >Circonscriptions législatives</a
          >
        </li>
        <li>
          <a class="inline" href="/epci/autocomplete"
            ><abbr title="Établissements publics à caractère intercommunal"
              >EPCI</abbr
            ></a
          >
        </li>
        <li>
          <a class="inline" href="/dgcl/epci/autocomplete"
            ><abbr title="Établissements publics à caractère intercommunal"
              >EPCI</abbr
            >
            (<abbr title="Direction générale des collectivités locales"
              >DGCL</abbr
            >)</a
          >
        </li>
        <li>
          <a class="inline" href="/departements/autocomplete">Départements</a>
        </li>
        <li>
          <a class="inline" href="/departements/autocomplete">Départements</a>
        </li>
        <li>
          <a class="inline" href="/dgcl/departements/autocomplete"
            >Départements (<abbr
              title="Direction générale des collectivités locales">DGCL</abbr
            >)</a
          >
        </li>
      </ul>
    </div>
    <a class="btn-ghost btn text-xl normal-case" href="https://leximpact.an.fr"
      >LexImpact</a
    >
  </div>
  <div class="navbar-center hidden xl:flex">
    <ul class="menu menu-horizontal p-0">
      <li><a class="inline" href="/communes/autocomplete">Communes</a></li>
      <li>
        <a class="inline" href="/dgcl/communes/autocomplete"
          >Communes (<abbr title="Direction générale des collectivités locales"
            >DGCL</abbr
          >)</a
        >
      </li>
      <li>
        <a class="inline" href="/circonscriptions_legislatives/autocomplete"
          >Circonscriptions législatives</a
        >
      </li>
      <li>
        <a class="inline" href="/epci/autocomplete"
          ><abbr title="Établissements publics à caractère intercommunal"
            >EPCI</abbr
          ></a
        >
      </li>
      <li>
        <a class="inline" href="/dgcl/epci/autocomplete"
          ><abbr title="Établissements publics à caractère intercommunal"
            >EPCI</abbr
          >
          (<abbr title="Direction générale des collectivités locales">DGCL</abbr
          >)</a
        >
      </li>
      <li>
        <a class="inline" href="/departements/autocomplete">Départements</a>
      </li>
      <li>
        <a class="inline" href="/dgcl/departements/autocomplete"
          >Départements (<abbr
            title="Direction générale des collectivités locales">DGCL</abbr
          >)</a
        >
      </li>
    </ul>
  </div>
  <div class="navbar-end">
    <a class="btn" href="https://git.leximpact.dev/leximpact/territoires"
      >Contribuer</a
    >
  </div>
</div>

<div class="mx-auto w-11/12">
  <slot />
</div>
